#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
#-----------------------------------------------------------------------------
Name		:	evince
Version		:	45.0
Release		:	16.2.1.rel%{?dist}
Summary		:	Document viewer

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and GPLv3+ and LGPLv2+ and MIT and Afmparse
URL		:	https://wiki.gnome.org/Apps/Evince
			#https://download.gnome.org/sources/evince/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	gspell
BuildRequires	:	gtk-doc
BuildRequires	:	adwaita-icon-theme
BuildRequires	:	gsettings-desktop-schemas
BuildRequires	:	gtk3+
BuildRequires	:	itstool
BuildRequires	:	libgxps-devel
BuildRequires	:	libhandy-devel
BuildRequires	:	libspectre-devel
BuildRequires	:	libxml2
BuildRequires	:	openjpeg
BuildRequires	:	gnome-keyring
BuildRequires	:	gobject-introspection
BuildRequires	:	libarchive-devel
BuildRequires	:	libsecret
BuildRequires	:	poppler

#-----------------------------------------------------------------------------
%description
'%{name}' is simple multi-page document viewer. It can
display and print Portable Document Format (PDF),
PostScript (PS) and Encapsulated PostScript (EPS) files.
When supported by the document format, evince allows searching
	
for text, copying text to the clipboard, hypertext navigation,
table-of-contents bookmarks and editing of forms.
	
Support for other document formats such as DVI and DJVU can be
added by installing additional backends.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libexecdir}/%{name}d
%{_datadir}/dbus-1/services/org.gnome.%{name}.Daemon.service
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
%{_datadir}/%{name}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/%{name}/icons/hicolor/*/mimetypes/*.png
%{_datadir}/%{name}/icons/hicolor/scalable/mimetypes/*.svg
%{_datadir}/icons/hicolor/*/apps/org.gnome.Evince.*
%{_datadir}/icons/hicolor/*/apps/org.gnome.Evince-symbolic.svg
%{_datadir}/applications/org.gnome.Evince.desktop
%{_datadir}/applications/org.gnome.Evince-previewer.desktop
%{_datadir}/metainfo/org.gnome.Evince.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Evince.gschema.xml
%{_mandir}/man1/%{name}.1.gz

%post
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#=============================================================================
%package		devel

Summary		:	Development files for evince

#-----------------------------------------------------------------------------
Requires	:       %{name}-lib = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains libraries and header files needed for
'%{name}' backend development.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/3.0/%{name}-*.h
%{_includedir}/%{name}/3.0/libdocument/ev-*.h
%{_includedir}/%{name}/3.0/libview/ev-*.h
%{_libdir}/libevview3.so
%{_libdir}/libevdocument3.so
%{_libdir}/pkgconfig/%{name}-view-3.0.pc
%{_libdir}/pkgconfig/%{name}-document-3.0.pc
%{_datadir}/gir-1.0/EvinceDocument-3.0.gir
%{_datadir}/gir-1.0/EvinceView-3.0.gir
	
#=============================================================================
%package		libs

Summary		:	Libraries for the evince document viewer

#-----------------------------------------------------------------------------
%description		libs
This package contains shared libraries needed for '%{name}'.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%doc NEWS AUTHORS
%license COPYING
%{_libdir}/libevdocument3.so.4*
%{_libdir}/libevview3.so.3*
%{_libdir}/%{name}/4/backends/libpsdocument.so
%{_libdir}/%{name}/4/backends/psdocument.%{name}-backend
%{_libdir}/%{name}/4/backends/libpdfdocument.so
%{_libdir}/%{name}/4/backends/pdfdocument.%{name}-backend
%{_libdir}/%{name}/4/backends/libcomicsdocument.so
%{_libdir}/%{name}/4/backends/comicsdocument.%{name}-backend
%{_libdir}/%{name}/4/backends/libtiffdocument.so
%{_libdir}/%{name}/4/backends/tiffdocument.%{name}-backend
%{_libdir}/%{name}/4/backends/libxpsdocument.so
%{_libdir}/%{name}/4/backends/xpsdocument.%{name}-backend
%{_libdir}/girepository-1.0/EvinceDocument-3.0.typelib
%{_libdir}/girepository-1.0/EvinceView-3.0.typelib

#=============================================================================
%package		thumbnailer

Summary		:	Evince thumbnailer

#-----------------------------------------------------------------------------
Requires	:       %{name}-lib = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		thumbnailer
This package brings the Evince thumbnailer independently from Evince.
	
#-----------------------------------------------------------------------------
%files			thumbnailer
%defattr(-,root,root,-)
%{_bindir}/%{name}-thumbnailer
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_mandir}/man1/%{name}-thumbnailer.1.gz
	
#=============================================================================
%package		previewver

Summary		:	Evince previewver

#-----------------------------------------------------------------------------
Requires	:       %{name}-lib = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		previewver
This package brings the Evince previewer independently
from Evince.
It provides the printing preview for the GTK printing
dialog.
	
#-----------------------------------------------------------------------------
%files			previewver
%defattr(-,root,root,-)
%{_bindir}/%{name}-previewer
%{_mandir}/man1/%{name}-previewer.1.gz
	
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--wrap-mode=nodownload				\
	--buildtype=release				\
	-D nautilus=false				\
	-D gtk_doc=false 				\
	-D pdf=enabled					\
	-D ps=enabled					\
	-D systemduserunitdir=no			\
	build

ninja							\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

pushd %{buildroot}%{_datadir}/metainfo
%{__rm} -f						\
	%{name}-pdfdocument.metainfo.xml		\
	%{name}-psdocument.metainfo.xml			\
	%{name}-tiffdocument.metainfo.xml		\
	%{name}-comicsdocument.metainfo.xml		\
	%{name}-xpsdocument.metainfo.xml
popd

%find_lang %{name} --with-gnome

#-----------------------------------------------------------------------------
%changelog
